/*!
  \file
  \brief Support for testing egiw.
  \author Vaclav Barta.

  -----------------------------------
  BDM++ - C++ library for Bayesian Decision Making under Uncertainty

  Using IT++ for numerical operations
  -----------------------------------
*/

#ifndef EGIW_HARNESS_H
#define EGIW_HARNESS_H

#include "epdf_harness.h"

namespace bdm {

class egiw_harness : public epdf_harness {
private:
	double lognc;

public:
	egiw_harness() : lognc ( 0 ) { }

	void test ( const char *config_name, int idx );

	void from_setting ( const Setting &set );
};

}

#endif
